#### Linux From Scratch - Version 7.10

### Chapter 6. Installing Basic System Software

- Prev

  GMP-6.1.1

- Next

  MPC-1.0.3

- Up
- Home

# 6.15. MPFR-3.1.4

The MPFR package contains functions for multiple precision math.

Approximate build time: 0.8 SBU
Required disk space: 45 MB

## 6.15.1. Installation of MPFR

Prepare MPFR for compilation:

    ./configure --prefix=/usr        \
                --disable-static     \
                --enable-thread-safe \
                --docdir=/usr/share/doc/mpfr-3.1.4

Compile the package and generate the HTML documentation:

    make
    make html

### Important

The test suite for MPFR in this section is considered critical. Do not skip it under any circumstances.

Test the results and ensure that all tests passed:

    make check

Install the package and its documentation:

    make install
    make install-html

## 6.15.2. Contents of MPFR

Installed Libraries: libmpfr.so
Installed directory: /usr/share/doc/mpfr-3.1.4

### Short Descriptions

`libmpfr` | Contains multiple-precision math functions

- Prev

  GMP-6.1.1

- Next

  MPC-1.0.3

- Up
- Home